diff --git a/CHANGELOG b/CHANGELOG
index c9f9d16..2382695 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -59,6 +59,7 @@
 - fix for improve handling of server not available.
 - use mount option "nodev" for "-hosts" map unless "dev" is explicily specified.
 - add LDAP paged query handling to deal with query size restrictions (Edward Newman).
+- add additional case for "mark map instances stale so they aren't "cleaned" during updates".
 
 18/06/2007 autofs-5.0.2
 -----------------------
diff --git a/modules/lookup_file.c b/modules/lookup_file.c
index ab2dd0f..6d134cb 100644
--- a/modules/lookup_file.c
+++ b/modules/lookup_file.c
@@ -617,7 +617,13 @@ prepare_plus_include(struct autofs_point *ap, time_t age, char *key, unsigned in
 	argv[1] = NULL;
 
 	source = master_find_source_instance(current, type, fmt, argc, argv);
-	if (!source) {
+	if (source)
+		/*
+		 * Make sure included map age is in sync with its owner
+		 * or we could incorrectly wipe out its entries.
+		 */
+		source->age = age;
+	else {
 		source = master_add_source_instance(current, type, fmt, age, argc, argv);
 		if (!source) {
 			free(buf);
